<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class epress_New_Font_Add {
    
    public function __construct() {
		add_action( 'elementor/controls/controls_registered', [ $this, 'epress_modify_icons' ], 10, 1 );
		add_action( 'elementor/editor/after_enqueue_styles', [ $this, 'epress_enqueue_extra_icons' ] );
		add_action( 'elementor/frontend/after_enqueue_styles', [ $this, 'epress_enqueue_extra_icons' ] );    
	}    
    
    public function epress_enqueue_extra_icons(){
        wp_enqueue_style( 'epress-flaticon' );
        wp_enqueue_style( 'font-awesome-5' );
    }
    
    public function epress_modify_icons($controls_registry){
        
    $new_add = flat_icon_list();

    $icons = $controls_registry->get_control( 'icon' )->get_settings( 'options' );

    $controls_registry->get_control( 'icon' )->set_settings( 'options', array_merge( $icons, $new_add ) );

    $new_fonts = array(        
        "HK Grotesk" => "googlefonts",
        "Brush Script MT" => "googlefonts"
    );
        
    // For Elementor 1.7.10 and newer
    $fonts = $controls_registry->get_control( 'font' )->get_settings( 'options' );

    $fonts = array_merge($fonts,$new_fonts);
        
    // Register here the custom font families
    $controls_registry->get_control( 'font' )->set_settings( 'options', $fonts );

}
    
}
new epress_New_Font_Add();