<?php

    add_action( 'cmb2_admin_init', 'epress_register_post_metabox' );    
    function epress_register_post_metabox() {        
        $prefix = '_epress_';
        /*-- Page-Meta-Box-Fields --*/
        $eventMetaBox = new_cmb2_box(array(
            'id'            => $prefix . 'event_meta_options',
            'title'         => esc_html__('Aditional Info', 'epresscore' ),
            'object_types'  => array( 'events' )
        ));
        $eventMetaBox->add_field( array(
            'name' => __( 'Time zone', 'epresscore' ),
            'id'   => 'wiki_test_timezone',
            'type' => 'select_timezone',
            'timezone_meta_key' => 'wiki_test_timezone',
        ) );
        $eventMetaBox->add_field( array(
            'name'  => esc_html__('Event Date?', 'epresscore' ),
            'id'    => $prefix . 'events_date',     
            'type'  => 'text_date',
        ) );      
        $eventMetaBox->add_field(array(
            'name'    => esc_html__('Event Time?', 'epresscore' ),
            'id'      => $prefix . 'event_time',            
            'type' => 'text_time',
            'time_format' => 'h:i A',
            'timezone_meta_key' => 'wiki_test_timezone',
            'desc' => esc_html__('When it will be starting?', 'epresscore' )
        ));
        $eventMetaBox->add_field( array(
            'name'    => __( 'Event Color', 'epresscore' ),
            'id'      => $prefix . 'event_color',            
            'type'    => 'colorpicker',
            'default' => '#ff5621',
        ) );
        /*-- Page-Meta-Box-Fields --*/
        $CampMetaBox = new_cmb2_box(array(
            'id'            => $prefix . 'campaign_meta_options',
            'title'         => esc_html__('Aditional Info', 'epresscore' ),
            'object_types'  => array( 'give_forms' )
        ));
        $CampMetaBox->add_field(array(
            'name'    => esc_html__('Campaign Location', 'epresscore' ),
            'id'      => $prefix . 'camp_location',
            'default' => __( 'New York, US','epresscore' ),
            'type'    => 'text',
            'desc' => esc_html__('Where is it?', 'epresscore' )
        ));
        /*-- Page-Meta-Box-Fields --*/
        $epress_page_meta = new_cmb2_box(array(
            'id'            => $prefix . 'page_options',
            'title'         => esc_html__('Page Options', 'epresscore' ),
            'object_types'  => array( 'page' )
        ));  
        $epress_page_meta->add_field(array(
            'name'    => esc_html__('Onepage Template:', 'epresscore' ),
            'id'      => $prefix . 'one_page_template',
            'type'    => 'checkbox',
            'desc' => esc_html__('Will this page use as a onepage template?', 'epresscore' )
        ));
        $epress_page_meta->add_field(array(
            'name'    => esc_html__('Onepage Scroll', 'epresscore' ),
            'id'      => $prefix . 'one_page_scroll',
            'type'    => 'checkbox',
            'desc' => esc_html__('To get a id selected scroll?', 'epresscore' )
        ));
        $epress_page_meta->add_field(array(
            'name'    => esc_html__('Remove Page Header:', 'epresscore' ),
            'id'      => $prefix . 'page_header',
            'type'    => 'checkbox',
            'desc' => esc_html__('Check this field if you want remove page header on this page.', 'epresscore' )
        ));
        $epress_page_meta->add_field(array(
            'name'    => esc_html__('Transparent Menu:', 'epresscore' ),
            'id'      => $prefix . 'transparent_menu',
            'type'    => 'checkbox',
            'desc' => esc_html__('Check this field if you want transparent menu on this page.', 'epresscore' )
        ));
       $epress_page_meta->add_field(array(
            'name'    => esc_html__('Remove Footer Area:', 'epresscore' ),
            'id'      => $prefix . 'footer_widget',
            'type'    => 'checkbox',
            'desc' => esc_html__('Check this field if you want remove footer widgets on this page.', 'epresscore' )
        ));
        /*-- Post-Meta-Box-Content --*/
        $epress_post_meta = new_cmb2_box( array(
            'id'           => $prefix.'post_metabox',
            'title'        => esc_html__('Additional Fields', 'epresscore' ),
            'object_types' => array( 'post' ), // post type
        ) );
        $epress_post_meta->add_field( array(
            'name'       => esc_html__( 'Photo Gallery',  'epresscore'  ),
            'desc'       => esc_html__( 'This field for gallery images. This gallery show for select gallery format.',  'epresscore'  ),
            'id'         => $prefix . 'post_gallery',
            'type'       => 'file_list',
            'text' => array(
                'add_upload_files_text' => esc_html__('Add images', 'epresscore' ), // default: "Add or Upload Files"
            ),
            )
        );        
        $epress_post_meta->add_field( array(
            'name' => esc_html__('Embed Video', 'epresscore' ),
            'desc' => esc_html__('Enter a youtube, twitter, or instagram URL. Supports services listed at ', 'epresscore' ).'<a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a> '.esc_html__('This video show for select video format', 'epresscore' ),
            'id'   => $prefix . 'post_video_embed',
            'type' => 'oembed',
        ) );
        
        $epress_post_meta->add_field( array(
            'name' => esc_html__('Embed Audio', 'epresscore' ),
            'desc' => esc_html__('Enter a SoundCloud, Mixcloud, or ReverbNation etc URL. Supports services listed at ', 'epresscore' ).'<a href="http://codex.wordpress.org/Embeds">http://codex.wordpress.org/Embeds</a> '.esc_html__('This audio show for select audio format', 'epresscore' ),
            'id'   => $prefix . 'post_audio_embed',
            'type' => 'oembed',
        ) );

    }
    
    if( !function_exists("epress_gallery_photo_list") ){
      function epress_gallery_photo_list( $gallery_images, $img_size = 'epress_blog_thumb' ) {
          if( empty($gallery_images) ){
              return false;
          }
            // Get the list of gallery
            $data = '<div class="photo-slider post-media">';
            // Loop through them and output an image
            foreach ( (array) $gallery_images[0] as $image_id => $image_url ) {
                $data .= '<div class="gallery-item" >';
                $data .= wp_get_attachment_image( $image_id, $img_size );
                $data .= '</div>';
            }
            $data .= '</div>';
          return $data;
        }
    }
    
    if( !function_exists('epress_video_embed_content') ){
        function epress_video_embed_content($post_video_embed_url){
            if( empty($post_video_embed_url) ){
                return false;
            }
            ob_start();
            ?>
            <div class="post-media video-post">
                <button type="button" class="video-play-bttn"><i class="fa fa-play"></i></button>
                <?php $video_url = wp_oembed_get( esc_url($post_video_embed_url) );
                    echo str_replace( 'src','data-src', $video_url );
                ?>
                <div class="videoPoster" style="background-image: url('<?php echo get_the_post_thumbnail_url('','full'); ?>');"></div>
            </div>
            <?php 
            $data = ob_get_contents();
            ob_end_clean();
            return $data;
        }
    }
    
    if( !function_exists('epress_audio_embed_content') ){
        function epress_audio_embed_content($post_audio_embed_url){
            if( empty($post_audio_embed_url) ){
                return false;
            }
            return '<div class="post-media audio-post">'.wp_oembed_get( $post_audio_embed_url ).'</div>';
        }
    }    
    if(!function_exists('epress_admin_print_script')){
       function epress_admin_print_script(){
            if( get_post_type() == 'post' ): ?>
<script type="text/javascript">
    (function($) {
        "use strict";
        $(document).on('ready', function() {
            $('.cmb2-postbox .cmb-row').css({
                'border-bottom': 'none',
                'margin-bottom': '0'
            });
            $('#_epress_post_metabox').hide(0);
            $('.cmb2-id--epress-post-gallery').hide(0);
            $('.cmb2-id--epress-post-video-embed').hide(0);
            $('.cmb2-id--epress-post-audio-embed').hide(0);

            var id = $('input[name="post_format"]:checked').attr('id');

            if (id == 'post-format-gallery') {
                $('#_epress_post_metabox').show(0);
                $('.cmb2-id--epress-post-gallery').show();
            } else {
                $('.cmb2-id--epress-post-gallery').hide();
            }
            if (id == 'post-format-video') {
                $('#_epress_post_metabox').show(0);
                $('.cmb2-id--epress-post-video-embed').show();
            } else {
                $('.cmb2-id--epress-post-video-embed').hide();
            }
            if (id == 'post-format-audio') {
                $('#_epress_post_metabox').show(0);
                $('.cmb2-id--epress-post-audio-embed').show();
            } else {
                $('.cmb2-id--epress-post-audio-embed').hide();
            }
            $('#post-formats-select .post-format').on('change', function() {
                $('#_epress_post_metabox').hide(0);
                $('.cmb2-id--epress-post-gallery').hide(0);
                $('.cmb2-id--epress-post-video-embed').hide(0);
                $('.cmb2-id--epress-post-audio-embed').hide(0);
                var id = $('input[name="post_format"]:checked').attr('id');
                if (id == 'post-format-gallery') {
                    $('#_epress_post_metabox').show(0);
                    $('.cmb2-id--epress-post-gallery').show();
                } else {
                    $('.cmb2-id--epress-post-gallery').hide();
                }
                if (id == 'post-format-video') {
                    $('#_epress_post_metabox').show(0);
                    $('.cmb2-id--epress-post-video-embed').show();
                } else {
                    $('.cmb2-id--epress-post-video-embed').hide();
                }
                if (id == 'post-format-audio') {
                    $('#_epress_post_metabox').show(0);
                    $('.cmb2-id--epress-post-audio-embed').show();
                } else {
                    $('.cmb2-id--epress-post-audio-embed').hide();
                }
            });
        });
    }(jQuery));
</script>
<?php endif; 
       } 
    }
add_action( 'admin_print_scripts', 'epress_admin_print_script',1000 );
