<?php



// Exit if accessed directly

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}



/*-----------------------------------------------------------------------------------*/

/*	Creating Custom Taxonomy 

/*-----------------------------------------------------------------------------------*/

// hook into the init action and call create_book_taxonomies when it fires

add_action( 'init', 'epresscore_create_campaign_taxonomies', 0 );



// create two taxonomies, genres and writers for the post type "book"

function epresscore_create_campaign_taxonomies() {

	// Add new taxonomy, make it hierarchical (like categories)

	$labels = array(

		'name'              => _x( 'Categories', 'taxonomy general name', 'epresscore' ),

		'singular_name'     => _x( 'Category', 'taxonomy singular name', 'epresscore' ),

		'search_items'      => __( 'Search Categories', 'epresscore' ),

		'all_items'         => __( 'Categories', 'epresscore' ),

		'parent_item'       => __( 'Parent Category', 'epresscore' ),

		'parent_item_colon' => __( 'Parent Category:', 'epresscore' ),

		'edit_item'         => __( 'Edit Category', 'epresscore' ),

		'update_item'       => __( 'Update Category', 'epresscore' ),

		'add_new_item'      => __( 'Add New Category', 'epresscore' ),

		'new_item_name'     => __( 'New Category', 'epresscore' ),

		'menu_name'         => __( 'Categories', 'epresscore' ),

	);



	$args = array(

		'hierarchical'      => true,

		'labels'            => $labels,

		'show_ui'           => true,

		'show_admin_column' => true,

		'query_var'         => true,

		'rewrite'           => array( 'slug' => 'campaigncategory' ),

	);



	register_taxonomy( 'campaigncats', array( 'give_forms' ), $args );



		// Add new taxonomy, make it hierarchical (like categories)

	$labels = array(

		'name'              => _x( 'Tags', 'taxonomy general name', 'epresscore' ),

		'singular_name'     => _x( 'Tag', 'taxonomy singular name', 'epresscore' ),

		'search_items'      => __( 'Search Tag', 'epresscore' ),

		'all_items'         => __( 'Tags', 'epresscore' ),

		'parent_item'       => __( 'Parent Tag', 'epresscore' ),

		'parent_item_colon' => __( 'Parent Tag:', 'epresscore' ),

		'edit_item'         => __( 'Edit Tag', 'epresscore' ),

		'update_item'       => __( 'Update Tag', 'epresscore' ),

		'add_new_item'      => __( 'Add New Tag', 'epresscore' ),

		'new_item_name'     => __( 'New Tag', 'epresscore' ),

		'menu_name'         => __( 'Tags', 'epresscore' ),

	);



	$args = array(

		'hierarchical'      => true,

		'labels'            => $labels,

		'show_ui'           => true,

		'show_admin_column' => true,

		'query_var'         => true,

		'rewrite'           => array( 'slug' => 'campaigntags' ),

	);



	register_taxonomy( 'campaigntags', array( 'give_forms' ), $args );

}