<?php



// Exit if accessed directly

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}



/*-----------------------------------------------------------------------------------*/

/*	Creating Custom Taxonomy 

/*-----------------------------------------------------------------------------------*/

// hook into the init action and call create_book_taxonomies when it fires

add_action( 'init', 'epresscore_create_event_taxonomies', 0 );



// create two taxonomies, genres and writers for the post type "book"

function epresscore_create_event_taxonomies() {

// Set UI labels for Custom Post Type

    $labels = array(

        'name'                => _x( 'Events', 'Post Type General Name', 'twentythirteen' ),

        'singular_name'       => _x( 'Event', 'Post Type Singular Name', 'twentythirteen' ),

        'menu_name'           => __( 'Events', 'twentythirteen' ),

        'parent_item_colon'   => __( 'Parent Event', 'twentythirteen' ),

        'all_items'           => __( 'All Events', 'twentythirteen' ),

        'view_item'           => __( 'View Event', 'twentythirteen' ),

        'add_new_item'        => __( 'Add New Event', 'twentythirteen' ),

        'add_new'             => __( 'Add New', 'twentythirteen' ),

        'edit_item'           => __( 'Edit Event', 'twentythirteen' ),

        'update_item'         => __( 'Update Event', 'twentythirteen' ),

        'search_items'        => __( 'Search Event', 'twentythirteen' ),

        'not_found'           => __( 'Not Found', 'twentythirteen' ),

        'not_found_in_trash'  => __( 'Not found in Trash', 'twentythirteen' ),

    );

     

// Set other options for Custom Post Type

     

    $args = array(

        'label'               => __( 'Events', 'twentythirteen' ),

        'description'         => __( 'Event news and reviews', 'twentythirteen' ),

        'labels'              => $labels,

        // Features this CPT supports in Post Editor

        'supports'            => array( 'title', 'editor', 'excerpt', 'author', 'thumbnail', 'comments', 'revisions', 'custom-fields', ),

        // You can associate this CPT with a taxonomy or custom taxonomy. 

        'taxonomies'          => array( 'genres' ),

        /* A hierarchical CPT is like Pages and can have

        * Parent and child items. A non-hierarchical CPT

        * is like Posts.

        */ 

        'hierarchical'        => false,

        'public'              => true,

        'show_ui'             => true,

        'show_in_menu'        => true,

        'show_in_nav_menus'   => true,

        'show_in_admin_bar'   => true,

        'menu_position'       => 5,

        'can_export'          => true,

        'has_archive'         => true,

        'exclude_from_search' => false,

        'publicly_queryable'  => true,

        'capability_type'     => 'page',

    );

     

    // Registering your Custom Post Type

    register_post_type( 'events', $args );

 



	// Add new taxonomy, make it hierarchical (like categories)

	$labels = array(

		'name'              => _x( 'Categories', 'taxonomy general name', 'epresscore' ),

		'singular_name'     => _x( 'Category', 'taxonomy singular name', 'epresscore' ),

		'search_items'      => __( 'Search Categories', 'epresscore' ),

		'all_items'         => __( 'Categories', 'epresscore' ),

		'parent_item'       => __( 'Parent Category', 'epresscore' ),

		'parent_item_colon' => __( 'Parent Category:', 'epresscore' ),

		'edit_item'         => __( 'Edit Category', 'epresscore' ),

		'update_item'       => __( 'Update Category', 'epresscore' ),

		'add_new_item'      => __( 'Add New Category', 'epresscore' ),

		'new_item_name'     => __( 'New Category', 'epresscore' ),

		'menu_name'         => __( 'Categories', 'epresscore' ),

	);



	$args = array(

		'hierarchical'      => true,

		'labels'            => $labels,

		'show_ui'           => true,

		'show_admin_column' => true,

		'query_var'         => true,

		'rewrite'           => array( 'slug' => 'eventcategory' ),

	);



	register_taxonomy( 'eventcats', array( 'events' ), $args );



		// Add new taxonomy, make it hierarchical (like categories)

	$labels = array(

		'name'              => _x( 'Tags', 'taxonomy general name', 'epresscore' ),

		'singular_name'     => _x( 'Tag', 'taxonomy singular name', 'epresscore' ),

		'search_items'      => __( 'Search Tag', 'epresscore' ),

		'all_items'         => __( 'Tags', 'epresscore' ),

		'parent_item'       => __( 'Parent Tag', 'epresscore' ),

		'parent_item_colon' => __( 'Parent Tag:', 'epresscore' ),

		'edit_item'         => __( 'Edit Tag', 'epresscore' ),

		'update_item'       => __( 'Update Tag', 'epresscore' ),

		'add_new_item'      => __( 'Add New Tag', 'epresscore' ),

		'new_item_name'     => __( 'New Tag', 'epresscore' ),

		'menu_name'         => __( 'Tags', 'epresscore' ),

	);



	$args = array(

		'hierarchical'      => false,

		'labels'            => $labels,

		'show_ui'           => true,

		'show_admin_column' => true,

		'query_var'         => true,

		'rewrite'           => array( 'slug' => 'eventtags' ),

	);



	register_taxonomy( 'eventtags', array( 'events' ), $args );

}